sc::SCVectorSimpleSubBlock(3)

NAME
sc::SCVectorSimpleSubBlock -

The SCVectorSimpleSubBlock describes a subblock of a

 vector.

SYNOPSIS

#include <block.h>

Inherits sc::SCMatrixBlock.

  Public Member Functions
SCVectorSimpleSubBlock (int istart, int iend, int offset, double *data)
SCVectorSimpleSubBlock (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void process (SCElementOp *)
void process (SCElementOp2 *, SCMatrixBlock *)
void process (SCElementOp3 *, SCMatrixBlock *, SCMatrixBlock *)

  Public Attributes
int istart
int iend
int offset
double * data

  Additional Inherited Members

Detailed Description

The SCVectorSimpleSubBlock describes a subblock of a

 vector. The following bit of code illustrates the data layout: fill(double *vector, SCVectorSimpleSubBlock &b) { int i,offset=b.offset; for (i=b.istart; i<b.iend; i++,offset++) { vector[i] = b.data[offset]; } }

Member Function Documentation

  void sc::SCVectorSimpleSubBlock::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::SCMatrixBlock.

Author

Generated automatically by Doxygen for MPQC from the source code.